<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/MediaPlayer/AndroidSLESMediaPlayer/test/FFmpegUrlInputControllerTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_9d34932954f3d83257e5e12e3f421a72.html">MediaPlayer</a></li><li class="navelem"><a class="el" href="dir_b97c8a12362aabf73b92afdea21f65db.html">AndroidSLESMediaPlayer</a></li><li class="navelem"><a class="el" href="dir_09f8576ebf0d3cd6a2f3f83ce5a8feb1.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">FFmpegUrlInputControllerTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;memory&gt;</code><br />
<code>#include &lt;sstream&gt;</code><br />
<code>#include &lt;gmock/gmock.h&gt;</code><br />
<code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &lt;libavformat/avformat.h&gt;</code><br />
<code>#include &lt;libavformat/avio.h&gt;</code><br />
<code>#include &lt;libavutil/common.h&gt;</code><br />
<code>#include &lt;libavutil/error.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_iterative_playlist_parser_interface_8h_source.html">AVSCommon/Utils/PlaylistParser/IterativePlaylistParserInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_memory_8h_source.html">AVSCommon/Utils/Memory/Memory.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_mock_content_fetcher_8h_source.html">PlaylistParser/MockContentFetcher.h</a>&quot;</code><br />
<code>#include &lt;<a class="el" href="_iterative_playlist_parser_8h_source.html">PlaylistParser/IterativePlaylistParser.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_f_fmpeg_url_input_controller_8h_source.html">AndroidSLESMediaPlayer/FFmpegUrlInputController.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for FFmpegUrlInputControllerTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_f_fmpeg_url_input_controller_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_media_player_2_android_s_l_e_s_media_player_2test_2_f_fmpeg_url_input_controller_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_media_player_2_android_s_l_e_s_media_player_2test_2_f_fmpeg_url_input_controller_test_8cpp" id="_2workplace_2avs-device-sdk_2_media_player_2_android_s_l_e_s_media_player_2test_2_f_fmpeg_url_input_controller_test_8cpp">
<area shape="rect" id="node10" href="_iterative_playlist_parser_interface_8h.html" title="AVSCommon/Utils/Playlist\lParser/IterativePlaylistParser\lInterface.h" alt="" coords="1602,205,1796,257"/>
<area shape="rect" id="node40" href="_memory_8h.html" title="AVSCommon/Utils/Memory\l/Memory.h" alt="" coords="3509,119,3692,157"/>
<area shape="rect" id="node42" href="_mock_content_fetcher_8h.html" title="PlaylistParser/MockContent\lFetcher.h" alt="" coords="100,385,285,424"/>
<area shape="rect" id="node44" href="_iterative_playlist_parser_8h.html" title="PlaylistParser/Iterative\lPlaylistParser.h" alt="" coords="2823,119,2977,157"/>
<area shape="rect" id="node48" href="_f_fmpeg_url_input_controller_8h.html" title="AndroidSLESMediaPlayer\l/FFmpegUrlInputController.h" alt="" coords="2610,119,2799,157"/>
<area shape="rect" id="node13" href="_playlist_parser_observer_interface_8h.html" title="PlaylistParserObserverInterface.h" alt="" coords="1530,305,1751,331"/>
<area shape="rect" id="node17" href="_playlist_entry_8h.html" title="PlaylistEntry.h" alt="" coords="1691,392,1795,417"/>
<area shape="rect" id="node18" href="_h_t_t_p_content_fetcher_interface_8h.html" title="AVSCommon/SDKInterfaces\l/HTTPContentFetcherInterface.h" alt="" coords="2365,479,2580,517"/>
<area shape="rect" id="node30" href="_h_t_t_p_content_8h.html" title="AVSCommon/Utils/HTTPContent.h" alt="" coords="1792,572,2019,597"/>
<area shape="rect" id="node19" href="_http_response_code_8h.html" title="AVSCommon/Utils/HTTP\l/HttpResponseCode.h" alt="" coords="2388,565,2557,604"/>
<area shape="rect" id="node39" href="_s_d_k_version_8h.html" title="AVSCommon/Utils/SDKVersion.h" alt="" coords="3169,572,3386,597"/>
<area shape="rect" id="node21" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="2208,652,2384,691"/>
<area shape="rect" id="node22" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="2216,739,2392,777"/>
<area shape="rect" id="node25" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="2198,825,2411,864"/>
<area shape="rect" id="node26" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="2710,912,2886,951"/>
<area shape="rect" id="node27" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="2486,825,2662,864"/>
<area shape="rect" id="node28" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="2838,825,3035,864"/>
<area shape="rect" id="node29" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="3059,825,3235,864"/>
<area shape="rect" id="node32" href="_in_process_attachment_8h.html" title="AVSCommon/AVS/Attachment\l/InProcessAttachment.h" alt="" coords="1189,652,1391,691"/>
<area shape="rect" id="node33" href="_attachment_8h.html" title="AVSCommon/AVS/Attachment\l/Attachment.h" alt="" coords="1189,739,1391,777"/>
<area shape="rect" id="node36" href="_in_process_s_d_s_8h.html" title="AVSCommon/Utils/SDS\l/InProcessSDS.h" alt="" coords="1177,825,1339,864"/>
<area shape="rect" id="node37" href="_in_process_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/InProcessAttachmentReader.h" alt="" coords="908,739,1114,777"/>
<area shape="rect" id="node38" href="_in_process_attachment_writer_8h.html" title="AVSCommon/AVS/Attachment\l/InProcessAttachmentWriter.h" alt="" coords="1414,739,1616,777"/>
<area shape="rect" id="node34" href="_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentReader.h" alt="" coords="900,825,1101,864"/>
<area shape="rect" id="node35" href="_attachment_writer_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentWriter.h" alt="" coords="1414,825,1616,864"/>
<area shape="rect" id="node46" href="_h_t_t_p_content_fetcher_interface_factory_interface_8h.html" title="AVSCommon/SDKInterfaces\l/HTTPContentFetcherInterface\lFactoryInterface.h" alt="" coords="3184,379,3388,431"/>
<area shape="rect" id="node47" href="_m3_u_parser_8h.html" title="PlaylistParser/M3UParser.h" alt="" coords="2015,219,2199,244"/>
<area shape="rect" id="node49" href="_f_fmpeg_input_controller_interface_8h.html" title="AndroidSLESMediaPlayer\l/FFmpegInputControllerInterface.h" alt="" coords="296,825,521,864"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_content_fetcher_factory.html">alexaClientSDK::mediaPlayer::android::test::MockContentFetcherFactory</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mocks the content fetcher factory.  <a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_content_fetcher_factory.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_playlist_parser.html">alexaClientSDK::mediaPlayer::android::test::MockPlaylistParser</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_f_fmpeg_url_input_controller_test.html">alexaClientSDK::mediaPlayer::android::test::FFmpegUrlInputControllerTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1media_player"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html">alexaClientSDK::mediaPlayer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1media_player_1_1android"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html">alexaClientSDK::mediaPlayer::android</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html">alexaClientSDK::mediaPlayer::android::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aa2e433a547d82d70c15f98bc46750227"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#aa2e433a547d82d70c15f98bc46750227">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (FFmpegUrlInputControllerTest, test_createSucceed)</td></tr>
<tr class="memdesc:aa2e433a547d82d70c15f98bc46750227"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test input controller create succeed.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#aa2e433a547d82d70c15f98bc46750227">More...</a><br /></td></tr>
<tr class="separator:aa2e433a547d82d70c15f98bc46750227"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adba2a45ac1d99927f375f4424739afe9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#adba2a45ac1d99927f375f4424739afe9">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (FFmpegUrlInputControllerTest, test_createNullParserFailed)</td></tr>
<tr class="memdesc:adba2a45ac1d99927f375f4424739afe9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test input controller create with null playlist parser failed.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#adba2a45ac1d99927f375f4424739afe9">More...</a><br /></td></tr>
<tr class="separator:adba2a45ac1d99927f375f4424739afe9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2b369813b271fc133f89b4bf10a74fb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#aa2b369813b271fc133f89b4bf10a74fb">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (FFmpegUrlInputControllerTest, test_createEmptyUrlFailed)</td></tr>
<tr class="memdesc:aa2b369813b271fc133f89b4bf10a74fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test input controller create with empty url failed.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#aa2b369813b271fc133f89b4bf10a74fb">More...</a><br /></td></tr>
<tr class="separator:aa2b369813b271fc133f89b4bf10a74fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a846ff09def3534785c9e11e4f6a07c35"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a846ff09def3534785c9e11e4f6a07c35">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (FFmpegUrlInputControllerTest, test_createInvalidUrlFailed)</td></tr>
<tr class="memdesc:a846ff09def3534785c9e11e4f6a07c35"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test input controller create with null playlist parser failed.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a846ff09def3534785c9e11e4f6a07c35">More...</a><br /></td></tr>
<tr class="separator:a846ff09def3534785c9e11e4f6a07c35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88253a09e62ec02155f75b5f07043ea4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a88253a09e62ec02155f75b5f07043ea4">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (FFmpegUrlInputControllerTest, test_getContextSucceed)</td></tr>
<tr class="memdesc:a88253a09e62ec02155f75b5f07043ea4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test input controller getContext.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a88253a09e62ec02155f75b5f07043ea4">More...</a><br /></td></tr>
<tr class="separator:a88253a09e62ec02155f75b5f07043ea4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb197feb9158f9415e153e9837af56bc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#aeb197feb9158f9415e153e9837af56bc">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (FFmpegUrlInputControllerTest, test_getContextOffsetSucceed)</td></tr>
<tr class="memdesc:aeb197feb9158f9415e153e9837af56bc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test input controller getContext with non-zero offset.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#aeb197feb9158f9415e153e9837af56bc">More...</a><br /></td></tr>
<tr class="separator:aeb197feb9158f9415e153e9837af56bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a519813ec19991c242404d7979820d638"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a519813ec19991c242404d7979820d638">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (FFmpegUrlInputControllerTest, test_getContextInvalidUrl)</td></tr>
<tr class="memdesc:a519813ec19991c242404d7979820d638"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test input controller getContext.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a519813ec19991c242404d7979820d638">More...</a><br /></td></tr>
<tr class="separator:a519813ec19991c242404d7979820d638"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebd5be2f57c88fe31261754caf1fa49c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#aebd5be2f57c88fe31261754caf1fa49c">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (FFmpegUrlInputControllerTest, test_getContextAfterNext)</td></tr>
<tr class="memdesc:aebd5be2f57c88fe31261754caf1fa49c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test get context after switching files.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#aebd5be2f57c88fe31261754caf1fa49c">More...</a><br /></td></tr>
<tr class="separator:aebd5be2f57c88fe31261754caf1fa49c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48dd46556179b6c1b0038e2ad87a575a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a48dd46556179b6c1b0038e2ad87a575a">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (FFmpegUrlInputControllerTest, test_hasNext)</td></tr>
<tr class="memdesc:a48dd46556179b6c1b0038e2ad87a575a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test has next when parser isn't done.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a48dd46556179b6c1b0038e2ad87a575a">More...</a><br /></td></tr>
<tr class="separator:a48dd46556179b6c1b0038e2ad87a575a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37878fbe29a492af6c389f79f5d0a704"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a37878fbe29a492af6c389f79f5d0a704">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (FFmpegUrlInputControllerTest, test_done)</td></tr>
<tr class="memdesc:a37878fbe29a492af6c389f79f5d0a704"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test has next after playlist parser is done.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a37878fbe29a492af6c389f79f5d0a704">More...</a><br /></td></tr>
<tr class="separator:a37878fbe29a492af6c389f79f5d0a704"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bf30c19c9417c499cfb5cc77e48bd09"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a8bf30c19c9417c499cfb5cc77e48bd09">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (FFmpegUrlInputControllerTest, test_playlistRepeat)</td></tr>
<tr class="memdesc:a8bf30c19c9417c499cfb5cc77e48bd09"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test parsing playlist with repeat on.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a8bf30c19c9417c499cfb5cc77e48bd09">More...</a><br /></td></tr>
<tr class="separator:a8bf30c19c9417c499cfb5cc77e48bd09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39f9607519cbeba2deb284bbc852f33a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a39f9607519cbeba2deb284bbc852f33a">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (FFmpegUrlInputControllerTest, test_mediaUrlRepeat)</td></tr>
<tr class="memdesc:a39f9607519cbeba2deb284bbc852f33a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test parsing media url with repeat on.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a39f9607519cbeba2deb284bbc852f33a">More...</a><br /></td></tr>
<tr class="separator:a39f9607519cbeba2deb284bbc852f33a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c04138a5bfe5d72780bb7e82a18e627"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_f_fmpeg_url_input_controller_test_8cpp.html#a3c04138a5bfe5d72780bb7e82a18e627">main</a> (int argc, char **argv)</td></tr>
<tr class="separator:a3c04138a5bfe5d72780bb7e82a18e627"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a672af871950cc282d8fa0a360dce2e94"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a672af871950cc282d8fa0a360dce2e94">alexaClientSDK::mediaPlayer::android::test::PLAYLIST_URL</a> {&quot;playlist&quot;}</td></tr>
<tr class="memdesc:a672af871950cc282d8fa0a360dce2e94"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represent a dummy url that will be used as playlist.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a672af871950cc282d8fa0a360dce2e94">More...</a><br /></td></tr>
<tr class="separator:a672af871950cc282d8fa0a360dce2e94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace1cf371c5348b7e0e20f3536b3c0986"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#ace1cf371c5348b7e0e20f3536b3c0986">alexaClientSDK::mediaPlayer::android::test::MEDIA_URL_1</a> {&quot;url1&quot;}</td></tr>
<tr class="memdesc:ace1cf371c5348b7e0e20f3536b3c0986"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constant string used to mock a media url.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#ace1cf371c5348b7e0e20f3536b3c0986">More...</a><br /></td></tr>
<tr class="separator:ace1cf371c5348b7e0e20f3536b3c0986"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af655f81ebb3c7cd9904d17b66c5a9203"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#af655f81ebb3c7cd9904d17b66c5a9203">alexaClientSDK::mediaPlayer::android::test::MP3_FILE_PATH</a> {&quot;/fox_dog.mp3&quot;}</td></tr>
<tr class="memdesc:af655f81ebb3c7cd9904d17b66c5a9203"><td class="mdescLeft">&#160;</td><td class="mdescRight">MP3 test file path relative to the input folder.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#af655f81ebb3c7cd9904d17b66c5a9203">More...</a><br /></td></tr>
<tr class="separator:af655f81ebb3c7cd9904d17b66c5a9203"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5f5d19378212fef1d144ef8f245071b"><td class="memItemLeft" align="right" valign="top">static const std::chrono::seconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#ad5f5d19378212fef1d144ef8f245071b">alexaClientSDK::mediaPlayer::android::test::DURATION</a> {5}</td></tr>
<tr class="memdesc:ad5f5d19378212fef1d144ef8f245071b"><td class="mdescLeft">&#160;</td><td class="mdescRight">MP3 approximate duration.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#ad5f5d19378212fef1d144ef8f245071b">More...</a><br /></td></tr>
<tr class="separator:ad5f5d19378212fef1d144ef8f245071b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a852bcb93aab8ff6ebf17412f849883e9"><td class="memItemLeft" align="right" valign="top">static const bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a852bcb93aab8ff6ebf17412f849883e9">alexaClientSDK::mediaPlayer::android::test::DO_NOT_REPEAT</a> = false</td></tr>
<tr class="separator:a852bcb93aab8ff6ebf17412f849883e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2501b912b8cfa5b3be316a46ef4b3b9"><td class="memItemLeft" align="right" valign="top">static const std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#ae2501b912b8cfa5b3be316a46ef4b3b9">alexaClientSDK::mediaPlayer::android::test::ZERO_OFFSET</a> = std::chrono::milliseconds::zero()</td></tr>
<tr class="memdesc:ae2501b912b8cfa5b3be316a46ef4b3b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zero offset.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#ae2501b912b8cfa5b3be316a46ef4b3b9">More...</a><br /></td></tr>
<tr class="separator:ae2501b912b8cfa5b3be316a46ef4b3b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8008d27b2b424520319d1a5d0033a3f7"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a8008d27b2b424520319d1a5d0033a3f7">alexaClientSDK::mediaPlayer::android::test::INPUT_FOLDER</a></td></tr>
<tr class="memdesc:a8008d27b2b424520319d1a5d0033a3f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test file path.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a8008d27b2b424520319d1a5d0033a3f7">More...</a><br /></td></tr>
<tr class="separator:a8008d27b2b424520319d1a5d0033a3f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89a003faf265c19ac1f7cb3391ac432b"><td class="memItemLeft" align="right" valign="top">static const PlaylistEntry&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a89a003faf265c19ac1f7cb3391ac432b">alexaClientSDK::mediaPlayer::android::test::INVALID_URL_ENTRY</a> = PlaylistEntry::createErrorEntry(MEDIA_URL_1)</td></tr>
<tr class="memdesc:a89a003faf265c19ac1f7cb3391ac432b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constant struct used to mock return of playlist <code>next()</code> method. Calls to <code>getContext</code> with this entry will fail.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a89a003faf265c19ac1f7cb3391ac432b">More...</a><br /></td></tr>
<tr class="separator:a89a003faf265c19ac1f7cb3391ac432b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a3c04138a5bfe5d72780bb7e82a18e627"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c04138a5bfe5d72780bb7e82a18e627">&#9670;&nbsp;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>argv</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
